Set a budget's usage for the current period(s) back to zero
curl --request POST \
--url https://api.example.com/api/airouter/budgets/{budget_id}/reset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"periods": []
}'import requests
url = "https://api.example.com/api/airouter/budgets/{budget_id}/reset"
payload = { "periods": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({periods: []})
};
fetch('https://api.example.com/api/airouter/budgets/{budget_id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/airouter/budgets/{budget_id}/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'periods' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/airouter/budgets/{budget_id}/reset"
payload := strings.NewReader("{\n \"periods\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/airouter/budgets/{budget_id}/reset")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"periods\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/airouter/budgets/{budget_id}/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"periods\": []\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"scope": "user",
"subject": "<string>",
"periods": {},
"description": "<string>",
"action": "block",
"enabled": true,
"active_members": 123,
"top_members": [
{
"user": "<string>",
"tokens": 123
}
],
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}AI control plane
Set a budget's usage for the current period(s) back to zero
POST
/
api
/
airouter
/
budgets
/
{budget_id}
/
reset
Set a budget's usage for the current period(s) back to zero
curl --request POST \
--url https://api.example.com/api/airouter/budgets/{budget_id}/reset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"periods": []
}'import requests
url = "https://api.example.com/api/airouter/budgets/{budget_id}/reset"
payload = { "periods": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({periods: []})
};
fetch('https://api.example.com/api/airouter/budgets/{budget_id}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/airouter/budgets/{budget_id}/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'periods' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/airouter/budgets/{budget_id}/reset"
payload := strings.NewReader("{\n \"periods\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/airouter/budgets/{budget_id}/reset")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"periods\": []\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/airouter/budgets/{budget_id}/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"periods\": []\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"scope": "user",
"subject": "<string>",
"periods": {},
"description": "<string>",
"action": "block",
"enabled": true,
"active_members": 123,
"top_members": [
{
"user": "<string>",
"tokens": 123
}
],
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Periods to set back to zero; empty means every period.
Available options:
daily, weekly, monthly Response
Successful Response
Available options:
user, team Show child attributes
Show child attributes
Available options:
block, warn Show child attributes
Show child attributes
Was this page helpful?

